"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = repositories;
function fetchItem(repoName) {
  return this.request(this.apiUrl + "/repos/" + this.userName + "/" + repoName);
}

function repositories() {
  var _this = this;

  return {
    getRepoList: function getRepoList() {
      return _this.request(_this.apiUrl + "/users/" + _this.userName + "/repos?sort=updated&direction=desc");
    },
    getRepo: fetchItem.bind(this)
  };
}