"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = commits;
function fetchList(repoName) {
  return this.request(this.apiUrl + "/repos/" + this.userName + "/" + repoName + "/commits", this.headers);
}

function fetchPage(repoName, itensPerPage, page) {
  return this.request(this.apiUrl + "/repos/" + this.userName + "/" + repoName + "/commits?per_page=" + itensPerPage + "&page=" + page, this.headers);
}

function commits() {
  return {
    getCommitsList: fetchList.bind(this),
    getCommitsPerPage: fetchPage.bind(this)
  };
}